<?php

require ("inc/func.inc.php");
require ("inc/config.inc.php");
require ("inc/mysql.class.php");

$target = $path_original.basename( $_FILES['uploaded']['name']) ;

if ($_FILES['uploaded']['name']=="") {
	die ($lang[CURRENT_LANG]['filenotfound_error']);
}

//image/jpeg - Firefox, Opera, Safari
//image/pjpeg - IE

if ($_FILES['uploaded']['type']!="image/jpeg" and $_FILES['uploaded']['type']!="image/pjpeg") {
	die ( sprintf($lang[CURRENT_LANG]['badformat_error'], $_FILES['uploaded']['type'] ) );
}
if ($_FILES['uploaded']['size']<$size_limit) {
	die ($lang[CURRENT_LANG]['maxsize_error']);
}

if(@move_uploaded_file($_FILES['uploaded']['tmp_name'], $target))
{
	$content=file_get_contents($target);
	if (!checkImage($content)) {
		//удалить файл
		unlink($target);
		die($lang[CURRENT_LANG]['notwow_error']);
	}

	#print_r($_FILES);
	#print_r($size);

	$size=getimagesize($target);
	$img_width=$size[0]; //ширина
	$img_height=$size[1]; //высота
	$img_size=$_FILES['uploaded']['size']; //размер

	$img_name=basename($_FILES['uploaded']['name']); //имя файла
	$img_comment=htmlspecialchars($_POST['comment'], ENT_QUOTES);
	if (strlen($img_comment)>$comment_maxlength) die ("Комментарий не должен превышать $comment_maxlength символов");

	$img_text=$img_width.'x'.$img_height.'  '.ceil($img_size/1024).' Kb';
	//md5 файла
	$img_md5=md5(file_get_contents($target));

	$db=new db_mysql($mysql_host, $mysql_username, $mysql_password, $mysql_database);
	//$db->show_errors();

	//добавить изображение, только если такого не существует
	$res=$db->executeSelect($table_shots,"*","WHERE md5='{$img_md5}'");
	if (count($res)==0) {
		$db->executeInsert($table_shots,"name, comment, width, height, size, ip, date, md5","'{$img_name}', '{$img_comment}', '{$img_width}', '{$img_height}', '{$img_size}', '".$_SERVER['REMOTE_ADDR']."', UNIX_TIMESTAMP(), '{$img_md5}'");
		//$insert_id=$db->insert_id();
		$db->close();

		$img_file=getFileName($img_name, $img_md5);

		//сгенерировать уменьшенное изображение
		resizeImage($target, $path_thumbs.$img_file, 200, 150, $img_text);
		
		//сгенерировать нормальное изображение (измененный размер)
		// FIXME: можно закомментировать, и тогда такое изображение будет генерироваться 
		//        только при первом обращении к этой картинке в img.php
		resizeImage($target, $path_normal.$img_file, IMAGE_MAX_WIDTH, IMAGE_MAX_HEIGHT);
		
		//переименовать изображение
		rename ($target, $path_original.$img_file);

		header ("location: img.php?hash={$img_md5}&show=thumb");
	} 
	else 
	{ // если такое уже существует
		# unlink($target);	// FIXME: зачем удалять?
		header ("location: img.php?hash={$img_md5}&show=thumb");
	}

} else {
	die ($lang[CURRENT_LANG]['upload_error']);
}


?>