<?php

$mysql_host="localhost";
$mysql_username="root";
$mysql_password="";
$mysql_database="trueshots";

$table_shots="screenshots";

$path_original = "original/";
$path_normal = "normal/";
$path_thumbs = "thumbs/";
$script_url = "http://trueshots.harpywar.com/";

// upload image max size
$size_limit=(1024 ^ 2) * 2; //2 Mb

define('IMAGE_QUALITY', 65); // качество всех уменьшенных картинок (от 1 до 100)
define('IMAGE_MAX_WIDTH', 1024); // максимальная ширина изменяемой картинки (не миниатюры) 
define('IMAGE_MAX_HEIGHT', 768); // максимальная высота изменяемой картинки (не миниатюры)

//comment max length
$comment_maxlength=5000;

$lang_codes = explode(";", $_SERVER["HTTP_ACCEPT_LANGUAGE"]);
#list($lc1, $lc2) = explode(",", $lang_codes[0]);

// выбираем меньшее, то, что состоит из 2 знаков (ru)
#$lc_full = (strlen($lc1) > strlen($lc2)) ? $lc1 : $lc2;

#list($lc_first, $lc_second) = explode("-", $lc_full);
$lc = strtolower(substr($lang_codes[0], 0, 2));


if ($lc != 'ru' and $lc != 'en')
	$lc = 'en';
	
define('CURRENT_LANG', $lc);

#print_r( $lang_codes);


$lang['en'] = array (
	'screenshot' => 'WoW screenshot',
	'comment' => 'Description',
	'upload' => 'Upload',
	'site_link' => 'HTML code for site or blog',
	'forum_link' => 'Image thumbnail for forums',
	'direct_link' => 'Direct link to this page',
	'upload_error' => 'Error on file upload',
	'notwow_error' => 'You must make screenshot with ket PRINTSCREEN in the game World of Warcraft',
	'maxsize_error' => 'Maximum image size is 2 Mb',
	'badformat_error' => "World of Warcraft screenshots made in JPEG format. You're try to upload '%s'.",
	'filenotfound_error' => 'Please, choose file to upload',
	'notexists_error' => 'Screenshot is not exists',
	'random_screens' => 'Random screenshots',	
	'see_original_size' => 'Open original size and quality image',	
);

$lang['ru'] = array (
	'screenshot' => 'WoW скриншот',
	'comment' => 'Описание',
	'upload' => 'Загрузить',
	'site_link' => 'HTML код для сайта или блога',
	'forum_link' => 'Уменьшенный скриншот для форума',
	'direct_link' => 'Прямая ссылка на текущую страницу',
	'upload_error' => 'Ошибка при загрузке файла',
	'notwow_error' => 'Скриншот должен быть сделан клавишей PRINTSCREEN в игре World of Warcraft',
	'maxsize_error' => 'Максимальный размер изображения 2 Мб',
	'badformat_error' => "Скриншоты из World of Warcraft имеют формат JPEG. Вы загружаете '%s'.",
	'filenotfound_error' => 'Выберите файл для загрузки',
	'notexists_error' => 'Такого скриншота не существует',
	'random_screens' => 'Случайные скриншоты',
	'see_original_size' => 'Открыть в исходном размере и качестве',	
	
);



?>